Bug 28534 - сегфолт в libcurl-7.29.0 при старте e17
: сегфолт в libcurl-7.29.0 при старте e17
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/curl)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://www.mail-archive.com/enlighten...
:
:
: 27685
  Show dependency tree
 
Reported: 2013-02-10 21:25 by
Modified: 2013-02-12 11:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-02-10 21:25:36
При запуске e17 (0.17.0-alt5) начал сегфолтиться (он это обрабатывает и
выбрасывает предупреждалку, если нажать кнопку "recover", далее работает
нормально);

$ dmesg | tail -2
[   14.708656] efreet_desktop_[2908]: segfault at 0 ip b6f2a2e9 sp bfc08460
error 6 in libcurl.so.4.3.0[b6ef9000+5e000]
[   15.155389] efreet_icon_cac[2907]: segfault at 0 ip b6f102e9 sp bfc8a140
error 6 in libcurl.so.4.3.0[b6edf000+5e000]
$ rpm -q e17 libcurl
e17-0.17.0-alt5
libcurl-7.29.0-alt1

Воспроизводится на
http://ftp.linux.kiev.ua/pub/Linux/ALT/people/mike/iso/mkimage-profiles/tmp/regular-e17_segfault-20130210-i586.iso
(падает после прохождения квеста первоначальной настройки).

В апстриме ошибка уже известна, её предполагаемая причина -- изменение
реализации между curl-7.28.1 и 7.29.0:
http://www.mail-archive.com/enlightenment-devel@lists.sourceforge.net/msg50971.html
http://www.mail-archive.com/enlightenment-devel@lists.sourceforge.net/msg50972.html

Патчей пока не видел.
------- Comment #1 From 2013-02-10 21:36:51 -------
PS: пересборка e17 с текущим libcurl не помогает; если подобный сегфолт вылезет
ещё где, в качестве крайней меры можно рассмотреть откат на curl-7.28.1 с
приложением индивидуального патча для решённой в 7.29.0 проблемы безопасности:
http://curl.haxx.se/curl-sasl.patch
(http://curl.haxx.se/docs/adv_20130206.html).
------- Comment #2 From 2013-02-10 21:53:23 -------
(В ответ на комментарий №1)
> PS: пересборка e17 с текущим libcurl не помогает; если подобный сегфолт вылезет
> ещё где, в качестве крайней меры можно рассмотреть откат на curl-7.28.1 с
> приложением индивидуального патча для решённой в 7.29.0 проблемы безопасности:
> http://curl.haxx.se/curl-sasl.patch
> (http://curl.haxx.se/docs/adv_20130206.html).

2rider@: посмотри, не стоит ли это сделать, если новый curl собирался ради
исправления этой баги. Все же работающий e17 важен.
------- Comment #3 From 2013-02-11 14:33:00 -------
Откатывать libcurl - плохая идея. Надо чинить.
------- Comment #4 From 2013-02-11 16:38:11 -------
(В ответ на комментарий №3)
> Откатывать libcurl - плохая идея. Надо чинить.

Да, хотя в opensuse не стали повышать версию, а только лишь исправили CVE. И у
них e17 работает.
А в rawhide, где повысили версию, нет e17.
------- Comment #5 From 2013-02-11 17:43:14 -------
http://www.mail-archive.com/enlightenment-devel@lists.sourceforge.net/msg50993.html

Bug in libcurl, not in EFL. Has been fixed upstream
https://github.com/bagder/curl/commit/da3fc1ee91de656a30f3a12de394bcba55119872

e17->curl
------- Comment #6 From 2013-02-11 23:13:48 -------
curl-7.29.0-alt2 -> sisyphus:

* Mon Feb 11 2013 Anton Farygin <rider@altlinux> 7.29.0-alt2
- Fix NULL pointer reference when closing an unused multi handle (closes:
#28534)
------- Comment #7 From 2013-02-12 00:17:21 -------
(В ответ на комментарий №6)
> curl-7.29.0-alt2 -> sisyphus:
> 
> * Mon Feb 11 2013 Anton Farygin <rider@altlinux> 7.29.0-alt2
> - Fix NULL pointer reference when closing an unused multi handle (closes:
> #28534)

Спасибо!
------- Comment #8 From 2013-02-12 11:15:51 -------
Спасибо, теперь опять порядок.